import os.path
__dir__ = os.path.split(os.path.abspath(os.path.realpath(__file__)))[0]
data_location = os.path.join(__dir__, "resources")
src = "https://github.com/lowRISC/opentitan"

# Module version
version_str = "0.0.post5292"
version_tuple = (0, 0, 5292)
try:
    from packaging.version import Version as V
    pversion = V("0.0.post5292")
except ImportError:
    pass

# Data version info
data_version_str = "0.0.post5197"
data_version_tuple = (0, 0, 5197)
try:
    from packaging.version import Version as V
    pdata_version = V("0.0.post5197")
except ImportError:
    pass
data_git_hash = "a1af4ece1395b9fed47475361f1dd867e242d5d2"
data_git_describe = "v0.0-5197-ga1af4ece1"
data_git_msg = """\
commit a1af4ece1395b9fed47475361f1dd867e242d5d2
Author: Timothy Chen <timothytim@google.com>
Date:   Fri Mar 5 13:57:00 2021 -0800

    [clkmgr] Fix dft issues
    
    Addresses #5452 and #5453
    
    - force step_down_req to 0 when in test mode
      - It is assumed the flops inside prim_clock_div are off the scan chain
    
    - remove bypass mux functionality when in test mode.  The mux itself is
      still kept as a constraint anchor point.
    
    Signed-off-by: Timothy Chen <timothytim@google.com>

"""

# Tool version info
tool_version_str = "0.0.post95"
tool_version_tuple = (0, 0, 95)
try:
    from packaging.version import Version as V
    ptool_version = V("0.0.post95")
except ImportError:
    pass


def data_file(f):
    """Get absolute path for file inside pythondata_misc_opentitan."""
    fn = os.path.join(data_location, f)
    fn = os.path.abspath(fn)
    if not os.path.exists(fn):
        raise IOError("File {f} doesn't exist in pythondata_misc_opentitan".format(f))
    return fn
